package com.fs.live.service.impl;

import java.util.Collections;
import java.util.List;
import com.fs.common.utils.DateUtils;
import com.fs.live.domain.LiveCouponUser;
import com.fs.live.param.CouponPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveCouponIssueUserMapper;
import com.fs.live.domain.LiveCouponIssueUser;
import com.fs.live.service.ILiveCouponIssueUserService;

/**
 * 优惠券用户领取记录Service业务层处理
 *
 * @author fs
 * @date 2025-09-30
 */
@Service
public class LiveCouponIssueUserServiceImpl implements ILiveCouponIssueUserService
{
    @Autowired
    private LiveCouponIssueUserMapper liveCouponIssueUserMapper;

    /**
     * 查询优惠券用户领取记录
     *
     * @param id 优惠券用户领取记录ID
     * @return 优惠券用户领取记录
     */
    @Override
    public LiveCouponIssueUser selectLiveCouponIssueUserById(Long id)
    {
        return liveCouponIssueUserMapper.selectLiveCouponIssueUserById(id);
    }

    /**
     * 查询优惠券用户领取记录列表
     *
     * @param liveCouponIssueUser 优惠券用户领取记录
     * @return 优惠券用户领取记录
     */
    @Override
    public List<LiveCouponIssueUser> selectLiveCouponIssueUserList(LiveCouponIssueUser liveCouponIssueUser)
    {
        return liveCouponIssueUserMapper.selectLiveCouponIssueUserList(liveCouponIssueUser);
    }

    /**
     * 新增优惠券用户领取记录
     *
     * @param liveCouponIssueUser 优惠券用户领取记录
     * @return 结果
     */
    @Override
    public int insertLiveCouponIssueUser(LiveCouponIssueUser liveCouponIssueUser)
    {
        liveCouponIssueUser.setCreateTime(DateUtils.getNowDate());
        return liveCouponIssueUserMapper.insertLiveCouponIssueUser(liveCouponIssueUser);
    }

    /**
     * 修改优惠券用户领取记录
     *
     * @param liveCouponIssueUser 优惠券用户领取记录
     * @return 结果
     */
    @Override
    public int updateLiveCouponIssueUser(LiveCouponIssueUser liveCouponIssueUser)
    {
        liveCouponIssueUser.setUpdateTime(DateUtils.getNowDate());
        return liveCouponIssueUserMapper.updateLiveCouponIssueUser(liveCouponIssueUser);
    }

    /**
     * 批量删除优惠券用户领取记录
     *
     * @param ids 需要删除的优惠券用户领取记录ID
     * @return 结果
     */
    @Override
    public int deleteLiveCouponIssueUserByIds(Long[] ids)
    {
        return liveCouponIssueUserMapper.deleteLiveCouponIssueUserByIds(ids);
    }

    /**
     * 删除优惠券用户领取记录信息
     *
     * @param id 优惠券用户领取记录ID
     * @return 结果
     */
    @Override
    public int deleteLiveCouponIssueUserById(Long id)
    {
        return liveCouponIssueUserMapper.deleteLiveCouponIssueUserById(id);
    }

    @Override
    public List<LiveCouponUser> selectLiveCouponUserByCouponPO(CouponPO coupon) {
        return liveCouponIssueUserMapper.selectLiveCouponUserByCouponPO(coupon);
    }
}
